Lavalite package that provides eurolloyds management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `eurolloyd/eurolloyds`.

    "eurolloyd/eurolloyds": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Eurolloyd\Eurolloyds\Providers\EurolloydsServiceProvider::class,

And also add it to alias

    'Eurolloyds'  => Eurolloyd\Eurolloyds\Facades\Eurolloyds::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Eurolloyd\\EurolloydsTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Eurolloyd\Eurolloyds\Providers\EurolloydsServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Eurolloyd\Eurolloyds\Providers\EurolloydsServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Eurolloyd\Eurolloyds\Providers\EurolloydsServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/eurolloyds/{modulename}

**User**

    http://path-to-route-folder/user/eurolloyds/{modulename}

**Public**

    http://path-to-route-folder/eurolloyds


### API endpoints

**List**

    http://path-to-route-folder/api/user/eurolloyds/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/eurolloyds/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/eurolloyds/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/eurolloyds/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/eurolloyds/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/eurolloyds/{modulename}/{slug}
    METHOD: GET