<?php

// web routes  for object
Route::prefix('{guard}/eurolloyds')->group(function () {
    Route::resource('object', 'ObjectResourceController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'ObjectResourceController');
            });
            // Public routes for pages
            Route::get('eurolloyds/', 'ObjectPublicController@index');
            Route::get('eurolloyds/{slug?}', 'ObjectPublicController@show');
        }
    );
}

