<?php

namespace Eurolloyd\Eurolloyd\Repositories\Eloquent;

use Eurolloyd\Eurolloyd\Interfaces\ObjectRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class ObjectRepository extends BaseRepository implements ObjectRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('eurolloyd.eurolloyd.object.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('eurolloyd.eurolloyd.object.model.model');
    }
}
