Lavalite package that provides eurolloyd management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `eurolloyd/eurolloyd`.

    "eurolloyd/eurolloyd": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Eurolloyd\Eurolloyd\Providers\EurolloydServiceProvider::class,

And also add it to alias

    'Eurolloyd'  => Eurolloyd\Eurolloyd\Facades\Eurolloyd::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Eurolloyd\\EurolloydTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Eurolloyd\Eurolloyd\Providers\EurolloydServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Eurolloyd\Eurolloyd\Providers\EurolloydServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Eurolloyd\Eurolloyd\Providers\EurolloydServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/eurolloyd/{modulename}

**User**

    http://path-to-route-folder/user/eurolloyd/{modulename}

**Public**

    http://path-to-route-folder/eurolloyds


### API endpoints

**List**

    http://path-to-route-folder/api/user/eurolloyd/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/eurolloyd/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/eurolloyd/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/eurolloyd/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/eurolloyd/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/eurolloyd/{modulename}/{slug}
    METHOD: GET