<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for object in eurolloyds package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  object module in eurolloyds package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Object',
    'names'         => 'Objects',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Objects',
        'sub'   => 'Objects',
        'list'  => 'List of objects',
        'edit'  => 'Edit object',
        'create'    => 'Create new object'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'name'                       => 'Please enter name',
        'title'                      => 'Please enter title',
        'type'                       => 'Please enter type',
        'organizer'                  => 'Please enter organizer',
        'brand_id'                   => 'Please enter brand id',
        'attributes'                 => 'Please enter attributes',
        'categories'                 => 'Please enter categories',
        'stars'                      => 'Please enter stars',
        'booking_link'               => 'Please enter booking link',
        'duration'                   => 'Please enter duration',
        'price'                      => 'Please enter price',
        'flights_details'            => 'Please enter flights details',
        'status'                     => 'Please enter status',
        'country'                    => 'Please enter country',
        'region_city_spot'           => 'Please enter region city spot',
        'degree'                     => 'Please select degree',
        '11)'                        => 'Please select 11)',
        'degree'                     => 'Please select degree',
        '11)'                        => 'Please select 11)',
        'zoom'                       => 'Please enter zoom',
        'club_details'               => 'Please enter club details',
        'leisure'                    => 'Please select leisure',
        'our_privileges'             => 'Please enter our privileges',
        'image'                      => 'Please enter image',
        'description'                => 'Please enter description',
        'keywords'                   => 'Please enter keywords',
        'slug'                       => 'Please enter slug',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'name'                       => 'Name',
        'title'                      => 'Title',
        'type'                       => 'Type',
        'organizer'                  => 'Organizer',
        'brand_id'                   => 'Brand id',
        'attributes'                 => 'Attributes',
        'categories'                 => 'Categories',
        'stars'                      => 'Stars',
        'booking_link'               => 'Booking link',
        'duration'                   => 'Duration',
        'price'                      => 'Price',
        'flights_details'            => 'Flights details',
        'status'                     => 'Status',
        'country'                    => 'Country',
        'region_city_spot'           => 'Region city spot',
        'degree'                     => 'Degree',
        '11)'                        => '11)',
        'degree'                     => 'Degree',
        '11)'                        => '11)',
        'zoom'                       => 'Zoom',
        'club_details'               => 'Club details',
        'leisure'                    => 'Leisure',
        'our_privileges'             => 'Our privileges',
        'image'                      => 'Image',
        'description'                => 'Description',
        'keywords'                   => 'Keywords',
        'slug'                       => 'Slug',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'name'                       => ['name' => 'Name', 'data-column' => 1, 'checked'],
        'title'                      => ['name' => 'Title', 'data-column' => 2, 'checked'],
        'type'                       => ['name' => 'Type', 'data-column' => 3, 'checked'],
        'organizer'                  => ['name' => 'Organizer', 'data-column' => 4, 'checked'],
        'brand_id'                   => ['name' => 'Brand id', 'data-column' => 5, 'checked'],
        'attributes'                 => ['name' => 'Attributes', 'data-column' => 6, 'checked'],
        'categories'                 => ['name' => 'Categories', 'data-column' => 7, 'checked'],
        'stars'                      => ['name' => 'Stars', 'data-column' => 8, 'checked'],
        'booking_link'               => ['name' => 'Booking link', 'data-column' => 9, 'checked'],
        'duration'                   => ['name' => 'Duration', 'data-column' => 10, 'checked'],
        'price'                      => ['name' => 'Price', 'data-column' => 11, 'checked'],
        'flights_details'            => ['name' => 'Flights details', 'data-column' => 12, 'checked'],
        'country'                    => ['name' => 'Country', 'data-column' => 13, 'checked'],
        'region_city_spot'           => ['name' => 'Region city spot', 'data-column' => 14, 'checked'],
        'degree'                     => ['name' => 'Degree', 'data-column' => 15, 'checked'],
        '11)'                        => ['name' => '11)', 'data-column' => 16, 'checked'],
        'degree'                     => ['name' => 'Degree', 'data-column' => 17, 'checked'],
        '11)'                        => ['name' => '11)', 'data-column' => 18, 'checked'],
        'zoom'                       => ['name' => 'Zoom', 'data-column' => 19, 'checked'],
        'club_details'               => ['name' => 'Club details', 'data-column' => 20, 'checked'],
        'leisure'                    => ['name' => 'Leisure', 'data-column' => 21, 'checked'],
        'our_privileges'             => ['name' => 'Our privileges', 'data-column' => 22, 'checked'],
        'image'                      => ['name' => 'Image', 'data-column' => 23, 'checked'],
        'description'                => ['name' => 'Description', 'data-column' => 24, 'checked'],
        'keywords'                   => ['name' => 'Keywords', 'data-column' => 25, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Objects',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
