<?php

// API routes  for object
Route::prefix('{guard}/eurolloyds')->group(function () {
    Route::get('object/form/{element}', 'ObjectAPIController@form');
    Route::resource('object', 'ObjectAPIController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for eurolloyds
            Route::prefix('{guard}/eurolloyds')->group(function () {
                Route::get('object/form/{element}', 'ObjectAPIController@form');
                Route::apiResource('object', 'ObjectAPIController');
            });
            // Public routes for eurolloyds
            Route::get('eurolloyds/Object', 'ObjectPublicController@getObject');
        }
    );
}

